osl::progress::PtypeProgress Class Reference

`#include <ptypeProgress.h>`

## Public Member Functions

| PtypeProgress (SimpleState const &state)
int | progress () const
void | changeTurn ()
void | update (const SimpleState &, Move last_move)
bool | operator== (const PtypeProgress rhs) const

## Static Public Member Functions

static int | getProgress (const SimpleState &state)

## Private Member Functions

void | addVal (int d)

## Private Attributes

int | val

## Detailed Description

Definition at line 29 of file ptypeProgress.h.

## Constructor & Destructor Documentation

## PtypeProgress()

osl::progress::PtypeProgress::PtypeProgress | ( | SimpleState const & | state | ) |

explicit

Definition at line 90 of file ptypeProgress.cc.

References osl::BLACK, osl::SimpleState::isOnBoard(), osl::newPtypeO(), osl::Piece_Table, osl::SimpleState::pieceOf(), osl::progress::Ptype_Progress_Table, osl::Piece::ptypeO(), osl::Piece::SIZE, osl::Piece::square(), osl::Square::STAND(), osl::SimpleState::standMask(), osl::PieceMask::test(), val, and osl::WHITE.

Referenced by getProgress(), and operator==().

## Member Function Documentation

## addVal()

void osl::progress::PtypeProgress::addVal | ( | int | d | ) |

inline private

Definition at line 36 of file ptypeProgress.h.

References val.

## changeTurn()

void osl::progress::PtypeProgress::changeTurn | ( |  | ) |

inline

Definition at line 38 of file ptypeProgress.h.

## getProgress()

int osl::progress::PtypeProgress::getProgress | ( | const SimpleState & | state | ) |

inline static

Definition at line 39 of file ptypeProgress.h.

References progress(), and PtypeProgress().

## operator==()

bool osl::progress::PtypeProgress::operator== | ( | const PtypeProgress | rhs | ) | const

inline

Definition at line 60 of file ptypeProgress.h.

References PtypeProgress(), and val.

## progress()

int osl::progress::PtypeProgress::progress | ( |  | ) | const

inline

Definition at line 34 of file ptypeProgress.h.

References val.

Referenced by getProgress(), and osl::progress::operator<<().

## update()

void osl::progress::PtypeProgress::update | ( | const SimpleState & | ,
|  | Move | last_move )

inline

Definition at line 44 of file ptypeProgress.h.

References osl::Move::capturePtype(), osl::Move::capturePtypeO(), osl::Move::from(), osl::Move::isDrop(), osl::PTYPE_EMPTY, osl::progress::Ptype_Progress_Table, osl::Move::ptypeO(), osl::Square::STAND(), osl::Move::to(), and val.

## Member Data Documentation

## val

int osl::progress::PtypeProgress::val

private

Definition at line 31 of file ptypeProgress.h.

Referenced by addVal(), operator==(), progress(), PtypeProgress(), and update().

The documentation for this class was generated from the following files:

- ptypeProgress.h
- ptypeProgress.cc